ServiceNotAvaiableException (softwaregateway-client 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.softwaregateway.client.exceptions

## Class ServiceNotAvaiableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.gcube.vremanagement.softwaregateway.client.exceptions.ServiceNotAvaiableException

- All Implemented Interfaces:
    Serializable

      @Unrecoverable
      @WebFault(name="ServiceNotAvaiableFault")
      public class ServiceNotAvaiableException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceNotAvaiableException()` Creates an instance.
    `ServiceNotAvaiableException(String msg)` Creates an instance with given message.
    `ServiceNotAvaiableException(String msg, Throwable cause)` Creates an instance with a given message and cause.
    `ServiceNotAvaiableException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceNotAvaiableException

          public ServiceNotAvaiableException()

      Creates an instance.

    - #### ServiceNotAvaiableException

          public ServiceNotAvaiableException(String msg)

      Creates an instance with given message.
      Parameters:
        `msg` - the message

    - #### ServiceNotAvaiableException

          public ServiceNotAvaiableException(String msg,
                                     Throwable cause)

      Creates an instance with a given message and cause.
      Parameters:
        `msg` - the message
        `cause` - the cause

    - #### ServiceNotAvaiableException

          public ServiceNotAvaiableException(Throwable cause)

Copyright © 2015. All Rights Reserved.